Problemas con libgda2-1

Imagen de ChiEc
0 puntos

Holas a todos los ubunteros!
No se desde hace cuento tiempo me pasa pero es un problema grave, ya que no puedo instalar nada

Cuando intento instalar cualquier cosa me dice:

chiec@magi:~$ sudo apt-get install realtimebattle
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias... Hecho
Se instalarán los siguientes paquetes NUEVOS:
realtimebattle
0 actualizados, 1 se instalarán, 0 para eliminar y 0 no actualizados.
Necesito descargar 927kB de archivos.
Se utilizarán 2392kB de espacio de disco adicional después de desempaquetar.
Des:1 http://es.archive.ubuntu.com hoary/universe realtimebattle 1.0.7-3 [927kB]Descargados 927kB en 40s (22,7kB/s)

Preconfiguring packages ...
Seleccionando el paquete realtimebattle previamente no seleccionado.
(Leyendo la base de datos ... dpkg: error al procesar /var/cache/apt/archives/realtimebattle_1.0.7-3_amd64.deb (--unpack):
fallo en buffer_read(fd): el fichero de lista de ficheros del paquete `libgda2-1': Argumento inválido
Se encontraron errores al procesar:
/var/cache/apt/archives/realtimebattle_1.0.7-3_amd64.deb
Proceso detenido por haber demasiados errores.
E: Sub-process /usr/bin/dpkg returned an error code (1)

Y si intento desinstalarlo me suleta:(Leyendo la base de datos ... dpkg: error al procesar glade-gnome-2 (--remove):

fallo en buffer_read(fd): el fichero de lista de ficheros del paquete `libgda2-1': Argumento inválido
Se encontraron errores al procesar:
glade-gnome-2

Muchisimas gracias por leelo!

Imagen de Nevershine
+1
0
-1

Si te sirve de algo yo cuando tengo "problemas" con apt (entiéndase por problemas interrumpir con ctrl+c la instalación) hago después...:
sudo dpkg --configure -a.

O bien intenta reinstalar la dichosa libgda2.1 esa...

Suerte

+1
0
-1
Imagen de ChiEc
+1
0
-1

Muchisimas gracias por responder.
Lo del "dpkg --configure -a" no lo habia probado pero no ha funcionado, sigue soltando el mismo error, gracias de todas formas.

Lo que si intenté fué lo de reinstalar las libgda2-1 con el synaptic, ya que desde apt no se puede, supongo que el synaptic lo que hará será hacer un apt-get remove y despues un install.

También intente hacerlo todo con el aptitude pero nada.

Gracias

+1
0
-1